/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.launcher.exception;

/**
 * A PetalsLauncherException is thrown when an error occurred while launching petals ESB server.
 * @author Sebastien Andre - EBM WebSourcing
 */
public class PetalsLauncherException extends Exception {

    private static final long serialVersionUID = 5425583351653600562L;

    public PetalsLauncherException() {
    }

    public PetalsLauncherException(final String message) {
        super(message);
    }

    public PetalsLauncherException(final Throwable cause) {
        super(cause);
    }

    public PetalsLauncherException(final String message, final Throwable cause) {
        super(message, cause);
    }

}
